cc.funkemunky.api.tinyprotocol.packet.types

## Enum WrappedEnumParticle

- java.lang.Object
- - java.lang.Enum<WrappedEnumParticle>
  - - cc.funkemunky.api.tinyprotocol.packet.types.WrappedEnumParticle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WrappedEnumParticle>

    public enum WrappedEnumParticle
    extends java.lang.Enum<WrappedEnumParticle>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BARRIER`
`BLOCK_CRACK`
`BLOCK_DUST`
`CLOUD`
`CRIT`
`CRIT_MAGIC`
`DRIP_LAVA`
`DRIP_WATER`
`ENCHANTMENT_TABLE`
`EXPLOSION_HUGE`
`EXPLOSION_LARGE`
`EXPLOSION_NORMAL`
`FIREWORKS_SPARK`
`FLAME`
`FOOTSTEP`
`HEART`
`ITEM_CRACK`
`ITEM_TAKE`
`LAVA`
`MOB_APPEARANCE`
`NOTE`
`PORTAL`
`REDSTONE`
`SLIME`
`SMOKE_LARGE`
`SMOKE_NORMAL`
`SNOW_SHOVEL`
`SNOWBALL`
`SPELL`
`SPELL_INSTANT`
`SPELL_MOB`
`SPELL_MOB_AMBIENT`
`SPELL_WITCH`
`SUSPENDED`
`SUSPENDED_DEPTH`
`TOWN_AURA`
`VILLAGER_ANGRY`
`VILLAGER_HAPPY`
`WATER_BUBBLE`
`WATER_DROP`
`WATER_SPLASH`
`WATER_WAKE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static WrappedEnumParticle` `getByName(java.lang.String name)`
`java.lang.Object` `toNMS()`
`static WrappedEnumParticle` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WrappedEnumParticle[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EXPLOSION_NORMAL

    public static final WrappedEnumParticle EXPLOSION_NORMAL

#### EXPLOSION_LARGE

    public static final WrappedEnumParticle EXPLOSION_LARGE

#### EXPLOSION_HUGE

    public static final WrappedEnumParticle EXPLOSION_HUGE

#### FIREWORKS_SPARK

    public static final WrappedEnumParticle FIREWORKS_SPARK

#### WATER_BUBBLE

    public static final WrappedEnumParticle WATER_BUBBLE

#### WATER_SPLASH

    public static final WrappedEnumParticle WATER_SPLASH

#### WATER_WAKE

    public static final WrappedEnumParticle WATER_WAKE

#### SUSPENDED

    public static final WrappedEnumParticle SUSPENDED

#### SUSPENDED_DEPTH

    public static final WrappedEnumParticle SUSPENDED_DEPTH

#### CRIT

    public static final WrappedEnumParticle CRIT

#### CRIT_MAGIC

    public static final WrappedEnumParticle CRIT_MAGIC

#### SMOKE_NORMAL

    public static final WrappedEnumParticle SMOKE_NORMAL

#### SMOKE_LARGE

    public static final WrappedEnumParticle SMOKE_LARGE

#### SPELL

    public static final WrappedEnumParticle SPELL

#### SPELL_INSTANT

    public static final WrappedEnumParticle SPELL_INSTANT

#### SPELL_MOB

    public static final WrappedEnumParticle SPELL_MOB

#### SPELL_MOB_AMBIENT

    public static final WrappedEnumParticle SPELL_MOB_AMBIENT

#### SPELL_WITCH

    public static final WrappedEnumParticle SPELL_WITCH

#### DRIP_WATER

    public static final WrappedEnumParticle DRIP_WATER

#### DRIP_LAVA

    public static final WrappedEnumParticle DRIP_LAVA

#### VILLAGER_ANGRY

    public static final WrappedEnumParticle VILLAGER_ANGRY

#### VILLAGER_HAPPY

    public static final WrappedEnumParticle VILLAGER_HAPPY

#### TOWN_AURA

    public static final WrappedEnumParticle TOWN_AURA

#### NOTE

    public static final WrappedEnumParticle NOTE

#### PORTAL

    public static final WrappedEnumParticle PORTAL

#### ENCHANTMENT_TABLE

    public static final WrappedEnumParticle ENCHANTMENT_TABLE

#### FLAME

    public static final WrappedEnumParticle FLAME

#### LAVA

    public static final WrappedEnumParticle LAVA

#### FOOTSTEP

    public static final WrappedEnumParticle FOOTSTEP

#### CLOUD

    public static final WrappedEnumParticle CLOUD

#### REDSTONE

    public static final WrappedEnumParticle REDSTONE

#### SNOWBALL

    public static final WrappedEnumParticle SNOWBALL

#### SNOW_SHOVEL

    public static final WrappedEnumParticle SNOW_SHOVEL

#### SLIME

    public static final WrappedEnumParticle SLIME

#### HEART

    public static final WrappedEnumParticle HEART

#### BARRIER

    public static final WrappedEnumParticle BARRIER

#### ITEM_CRACK

    public static final WrappedEnumParticle ITEM_CRACK

#### BLOCK_CRACK

    public static final WrappedEnumParticle BLOCK_CRACK

#### BLOCK_DUST

    public static final WrappedEnumParticle BLOCK_DUST

#### WATER_DROP

    public static final WrappedEnumParticle WATER_DROP

#### ITEM_TAKE

    public static final WrappedEnumParticle ITEM_TAKE

#### MOB_APPEARANCE

    public static final WrappedEnumParticle MOB_APPEARANCE

### Method Detail

#### values

    public static WrappedEnumParticle[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WrappedEnumParticle c : WrappedEnumParticle.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WrappedEnumParticle valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getByName

    public static WrappedEnumParticle getByName(java.lang.String name)

#### toNMS

    public java.lang.Object toNMS()